# Type alias AsObject

AsObject: {
arbitratorTrade?: ArbitratorTrade.AsObject;
buyerAsMakerTrade?: BuyerAsMakerTrade.AsObject;
buyerAsTakerTrade?: BuyerAsTakerTrade.AsObject;
openOffer?: OpenOffer.AsObject;
sellerAsMakerTrade?: SellerAsMakerTrade.AsObject;
sellerAsTakerTrade?: SellerAsTakerTrade.AsObject;
signedOffer?: SignedOffer.AsObject;
}

#### Type declaration

- ##### `Optional` arbitratorTrade?: ArbitratorTrade.AsObject

- ##### `Optional` buyerAsMakerTrade?: BuyerAsMakerTrade.AsObject

- ##### `Optional` buyerAsTakerTrade?: BuyerAsTakerTrade.AsObject

- ##### `Optional` openOffer?: OpenOffer.AsObject

- ##### `Optional` sellerAsMakerTrade?: SellerAsMakerTrade.AsObject

- ##### `Optional` sellerAsTakerTrade?: SellerAsTakerTrade.AsObject

- ##### `Optional` signedOffer?: SignedOffer.AsObject

- Defined in src/protobuf/pb_pb.d.ts:6084

Generated using TypeDoc